
const BACKGROUND_COLOR = 0xffffff;
const GRID_COLOR = 0xe3e3e3;
const CENTER_LINE_COLOR = 0xa3a3a3;

const LINE_COLOR_UNSELECTED = 0xAA3939;
const LINE_COLOR_SELECTED = 0x000000;

const POINT_COLOR_UNSELECTED = 0x000000;
const POINT_COLOR_SELECTED = 0xFFAAAA;

const TRACE_LINE_COLOR = 0xFFAAAA;

const COLORS_BY_TYPE = {
    Mesh: { selected: POINT_COLOR_SELECTED, unselected: POINT_COLOR_UNSELECTED },
    LineSegments: { selected: LINE_COLOR_SELECTED, unselected: LINE_COLOR_UNSELECTED }
};

const LEFT_MOUSE_BUTTON = 1;
const RIGHT_MOUSE_BUTTON = 3;

const PIXELS_PER_UNIT = 20;
const DEFAULT_Z_2D = 0;
